Bug 1119695 - KieScanner is not working as expected with BPMN process
Summary: KieScanner is not working as expected with BPMN process
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR1
: ---
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks: 1146248
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:04 UTC by Abhijit humbe
Modified: 2019-02-15 13:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Repository (150.00 KB, application/x-tar)
2014-07-15 10:04 UTC, Abhijit humbe
no flags Details
Class file (40.00 KB, application/x-tar)
2014-07-15 10:06 UTC, Abhijit humbe
no flags Details

Description Abhijit humbe 2014-07-15 10:04:36 UTC
Created attachment 918109 [details]
Repository

Description of problem:
KieScanner is not dynamically updates the BPMN process,for rule file(.drl) it works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Repository and java code attached to replcate issue.

Steps to Reproduce:
1. Import attached repository into BPMS server
2. Build and deploy project
3. Start process using provided java class file, script task will be executed, now modify BPMN process and build project.
4. Changes are not reflected when we execute process instance.

Actual results:
BPMN process not updated dynamically by KieScanner.

Expected results:
BPMN process should be updated dynamically by KieScanner.

Additional info:

Comment 1 Abhijit humbe 2014-07-15 10:06:16 UTC
Created attachment 918111 [details]
Class file

Comment 3 Toshiya Kobayashi 2014-08-12 06:49:23 UTC
With some debugging, I see that ReteooRuleBase.pkg is updated by scan but ReteooRuleBase.processes doesn't seem to be updated. I'm not sure if this is the root cause. Just FYI.

Comment 10 Edson Tirelli 2014-09-25 01:33:55 UTC
Mario, can you please backport this to 6.0.x branch for inclusion in the next roll-up patch? Thank you!

Comment 11 Mario Fusco 2014-09-25 09:23:55 UTC
I couldn't cherry-pick this to 6.0.x because of the big refactor we did on master. I manually backported the fix with these 2 commits.

drools:
https://github.com/droolsjbpm/drools/commit/3b12096fb

jbpm:
https://github.com/droolsjbpm/jbpm/commit/4f2e3a575

Comment 12 Jiri Svitak 2014-10-21 16:00:59 UTC
Verified in BPMS 6.0.3.GA P01 patch (jbpm version 6.0.3-redhat-7, ip-parent version 1.2.1-redhat-3).

Test link (thanks Mario for the test):
https://gitlab.mw.lab.eng.bos.redhat.com/bxms/brms/commit/e16b7aed3f7bf278c98045ad6f4ddc87fcee3c8f

Comment 13 Abhijit humbe 2015-01-01 08:03:11 UTC
I have tried with BPMS 6.0.3 roll up patch 1(*-redhat-7.jar) but looks like this issue is not fixed.BPMN process is updated but kiescanner is executing old version of BPMN process.

Comment 14 Anton Giertli 2015-01-05 11:48:27 UTC
Abhijit, I have tried with the attached reproducer but in my environment, the issue appears to be fixed.

Here is the log from my JBDS console:

===
[main] WARN org.kie.scanner.embedder.MavenSettings - Environment variable M2_HOME is not set
[main] INFO org.drools.compiler.kie.builder.impl.KieRepositoryImpl - KieModule was added:ZipKieModule[ ReleaseId=org.kie.example:project1:1.0.2file=/home/osiris/.m2/repository/org/kie/example/project1/1.0.2/project1-1.0.2.jar]
Script task executed..-v2
scanning now
Script task executed..-v2
scanning now
Script task executed..-v2
scanning now
Script task executed..-v2
scanning now
Script task executed..-v2
scanning now
Script task executed..-v2
scanning now
[main] INFO org.drools.compiler.kie.builder.impl.KieRepositoryImpl - KieModule was added:ZipKieModule[ ReleaseId=org.kie.example:project1:1.0.3file=/home/osiris/.m2/repository/org/kie/example/project1/1.0.3/project1-1.0.3.jar]
[main] INFO org.kie.api.builder.KieScanner - The following artifacts have been updated: {org.kie.example:project1:1.0.2=org.kie.example:project1:jar:1.0.3}
Script task executed..-v3
scanning now
===

If you say "looks like this issue is not fixed" we may take this off this BZ and investigate, but we will definitely need more information.

Cheers,
Anton


Note You need to log in before you can comment on or make changes to this bug.